/**
 * 组件基础类 - 提供生命周期方法
 */
export class Monobehiver<TMainApp = any> {
    protected mainApp: TMainApp;

    constructor(mainApp: TMainApp) {
        this.mainApp = mainApp;
    }

    /** 醒来/初始化，子类可重写 */
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    Awake(): void {}
}
